org.eclipse.viatra.transformation.evm.specific.event

## Class ViatraQueryEventSourceSpecification<Match extends IPatternMatch>

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.specific.event.ViatraQueryEventSourceSpecification<Match>

- All Implemented Interfaces:
    EventSourceSpecification<Match>

      public class ViatraQueryEventSourceSpecification<Match extends IPatternMatch>
      extends java.lang.Object
      implements EventSourceSpecification<Match>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ViatraQueryEventSourceSpecification(IQuerySpecification<? extends ViatraQueryMatcher<Match>> factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventFilter<Match>` | `createEmptyFilter()` Returns a filter that does not filter out any incoming events.
    `protected ViatraQueryMatcher<Match>` | `getMatcher(ViatraQueryEngine engine)`
    `IQuerySpecification<? extends ViatraQueryMatcher<Match>>` | `getQuerySpecification()`
    `AbstractRuleInstanceBuilder<Match>` | `getRuleInstanceBuilder(EventRealm realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViatraQueryEventSourceSpecification

          protected ViatraQueryEventSourceSpecification(IQuerySpecification<? extends ViatraQueryMatcher<Match>> factory)

  - ### Method Detail

    - #### createEmptyFilter

          public EventFilter<Match> createEmptyFilter()

      Description copied from interface: `EventSourceSpecification`
      Returns a filter that does not filter out any incoming events. Warning: either return a single instance, or make sure all returned instances are equal ( Object.equals(Object) and Object.hashCode().
      Specified by:
        `createEmptyFilter` in interface `EventSourceSpecification<Match extends IPatternMatch>`

    - #### getQuerySpecification

          public IQuerySpecification<? extends ViatraQueryMatcher<Match>> getQuerySpecification()

      Returns:
        the querySpecification

    - #### getMatcher

          protected ViatraQueryMatcher<Match> getMatcher(ViatraQueryEngine engine)
                                                  throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getRuleInstanceBuilder

          public AbstractRuleInstanceBuilder<Match> getRuleInstanceBuilder(EventRealm realm)

      Specified by:
        `getRuleInstanceBuilder` in interface `EventSourceSpecification<Match extends IPatternMatch>`